Families
List families
Your families, by name: each one’s switch, the model it serves, its models and keep warm. A family read on its own adds its fine-tunes.
GET
/
v1
/
families
List families
curl --request GET \
--url https://console.sqwish.ai/v1/families \
--header 'Authorization: Bearer <token>'import requests
url = "https://console.sqwish.ai/v1/families"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://console.sqwish.ai/v1/families', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "<string>",
"object": "family",
"switched_on": true,
"used_at": 123,
"switches_off_at": 123,
"off_reason": "owner",
"off_at": 123,
"dataset_id": "<string>",
"origin": "<string>",
"created_at": 123,
"served": {
"version": 123,
"ref": "<string>",
"adapter": "<string>",
"status": "<string>",
"on_at": 123,
"keep_warm": true,
"keep_warm_stopped_at": 123,
"used_at": 123,
"switches_off_at": 123,
"off_reason": "owner",
"off_at": 123,
"state": "loaded",
"parent": "<string>",
"created_at": 123,
"gate": {
"passed": true,
"against": "parent",
"reasons": [
"<string>"
],
"groups": {},
"deltas": {},
"ece": {}
},
"heldout": {},
"discarded_at": 123
},
"latest": {
"version": 123,
"ref": "<string>",
"adapter": "<string>",
"status": "<string>",
"on_at": 123,
"keep_warm": true,
"keep_warm_stopped_at": 123,
"used_at": 123,
"switches_off_at": 123,
"off_reason": "owner",
"off_at": 123,
"state": "loaded",
"parent": "<string>",
"created_at": 123,
"gate": {
"passed": true,
"against": "parent",
"reasons": [
"<string>"
],
"groups": {},
"deltas": {},
"ece": {}
},
"heldout": {},
"discarded_at": 123
},
"models": [
{
"version": 123,
"ref": "<string>",
"adapter": "<string>",
"status": "<string>",
"on_at": 123,
"keep_warm": true,
"keep_warm_stopped_at": 123,
"used_at": 123,
"switches_off_at": 123,
"off_reason": "owner",
"off_at": 123,
"state": "loaded",
"parent": "<string>",
"created_at": 123,
"gate": {
"passed": true,
"against": "parent",
"reasons": [
"<string>"
],
"groups": {},
"deltas": {},
"ece": {}
},
"heldout": {},
"discarded_at": 123
}
],
"keep_warm": true,
"keep_warm_window": {
"started_at": 123,
"ends_at": 123,
"reserved_usd": "<string>"
},
"keep_warm_stopped_at": 123,
"move": {
"to": "<string>",
"waiting_for": "place",
"reason": "live_limit"
},
"moved": {
"at": 123,
"from": "<string>"
},
"continue": {
"state": "new_data",
"version": 123,
"added_at": 123,
"added_from": "<string>",
"evaluation_decisions": 123,
"needed": 123,
"rows": {
"new": 123,
"earlier": 123,
"evaluation": 123
},
"price_usd": "<string>"
},
"jobs": [
{
"id": "<string>",
"status": "queued",
"outcome": "joined",
"reason": "<string>",
"dataset_version": 123,
"output_model": "<string>",
"created_at": 123,
"price_usd": "<string>",
"charge": "free"
}
]
}
],
"object": "list"
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"request_id": "<string>",
"details": [
{
"path": [
"<string>"
],
"message": "<string>",
"type": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"request_id": "<string>",
"details": [
{
"path": [
"<string>"
],
"message": "<string>",
"type": "<string>"
}
]
}
}List families
curl --request GET \
--url https://console.sqwish.ai/v1/families \
--header 'Authorization: Bearer <token>'import requests
url = "https://console.sqwish.ai/v1/families"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://console.sqwish.ai/v1/families', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "<string>",
"object": "family",
"switched_on": true,
"used_at": 123,
"switches_off_at": 123,
"off_reason": "owner",
"off_at": 123,
"dataset_id": "<string>",
"origin": "<string>",
"created_at": 123,
"served": {
"version": 123,
"ref": "<string>",
"adapter": "<string>",
"status": "<string>",
"on_at": 123,
"keep_warm": true,
"keep_warm_stopped_at": 123,
"used_at": 123,
"switches_off_at": 123,
"off_reason": "owner",
"off_at": 123,
"state": "loaded",
"parent": "<string>",
"created_at": 123,
"gate": {
"passed": true,
"against": "parent",
"reasons": [
"<string>"
],
"groups": {},
"deltas": {},
"ece": {}
},
"heldout": {},
"discarded_at": 123
},
"latest": {
"version": 123,
"ref": "<string>",
"adapter": "<string>",
"status": "<string>",
"on_at": 123,
"keep_warm": true,
"keep_warm_stopped_at": 123,
"used_at": 123,
"switches_off_at": 123,
"off_reason": "owner",
"off_at": 123,
"state": "loaded",
"parent": "<string>",
"created_at": 123,
"gate": {
"passed": true,
"against": "parent",
"reasons": [
"<string>"
],
"groups": {},
"deltas": {},
"ece": {}
},
"heldout": {},
"discarded_at": 123
},
"models": [
{
"version": 123,
"ref": "<string>",
"adapter": "<string>",
"status": "<string>",
"on_at": 123,
"keep_warm": true,
"keep_warm_stopped_at": 123,
"used_at": 123,
"switches_off_at": 123,
"off_reason": "owner",
"off_at": 123,
"state": "loaded",
"parent": "<string>",
"created_at": 123,
"gate": {
"passed": true,
"against": "parent",
"reasons": [
"<string>"
],
"groups": {},
"deltas": {},
"ece": {}
},
"heldout": {},
"discarded_at": 123
}
],
"keep_warm": true,
"keep_warm_window": {
"started_at": 123,
"ends_at": 123,
"reserved_usd": "<string>"
},
"keep_warm_stopped_at": 123,
"move": {
"to": "<string>",
"waiting_for": "place",
"reason": "live_limit"
},
"moved": {
"at": 123,
"from": "<string>"
},
"continue": {
"state": "new_data",
"version": 123,
"added_at": 123,
"added_from": "<string>",
"evaluation_decisions": 123,
"needed": 123,
"rows": {
"new": 123,
"earlier": 123,
"evaluation": 123
},
"price_usd": "<string>"
},
"jobs": [
{
"id": "<string>",
"status": "queued",
"outcome": "joined",
"reason": "<string>",
"dataset_version": 123,
"output_model": "<string>",
"created_at": 123,
"price_usd": "<string>",
"charge": "free"
}
]
}
],
"object": "list"
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"request_id": "<string>",
"details": [
{
"path": [
"<string>"
],
"message": "<string>",
"type": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"request_id": "<string>",
"details": [
{
"path": [
"<string>"
],
"message": "<string>",
"type": "<string>"
}
]
}
}